<%--
  - FileName   : IndustryDocPop.jsp
  - Author(s)  : lsm
  -
  --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="kr.co.hsnc.common.util.ValueObject" %>
<%@ page import="kr.co.hsnc.common.sql.RowSet" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="com.udapsoft.waf.common.util.StringUtils" %>
<%@ page import="kr.co.hsnc.common.config.WAFConfig" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    ValueObject IndustryPop = storage.getValueObject("DocInfoPop");    
    String event = storage.getEvent();
%>

 <script type="text/javascript">	
 	$(function(){	
 		
 		$("#btn_close").click(function(){
 			parent.fLayerPopClose('IndustryPop');
		});
 		
		$("#btn_save").click(function(){		    
		    var f = document.form1;
 
		    $("#fevent").val("GET_SAVE");		 	   
		 	   if(confirm("산업재해 은폐금지 서약서를 확인하셨습니까?"))
		 	   {
				  submitXmlRequest("/portal/bid/IndustryDocPopSave_form.screen", "GET_INDUSTRY_SAVE", f);
				}
		    
		});
		
		$(".icon_x").click(function(){
		    window.close();
		});
		
		$("#btn_print").click(function(){		    
			jQuery("#btn_save").hide();
			jQuery("#btn_print").hide();
			jQuery("#btn_close").hide();
			$("#title1").css({ 'font-size' : 32});
			$("#text1").css({ 'font-size' : 20});		
 		    window.print();		 
 		    $("#btn_close").click();
 		   //self.close();
		});
		
 	});
 	
 	$(document).ready(function(){ 		
 		if("<%=params.get("p_gubun")%>" == "buyer"){			
	    	jQuery("#btn_save").hide();	    	
	    }
 	});
 	
 	function doResult(resultObj) {
 		var f = document.form1;
 		
 		try 
 		{
 		   document.form1.isSubmit = false;
 		   
 		   if($("#fevent").val() == "GET_SAVE")
 		   {
 		      if (resultObj.getSuccess())	
 		      {
 		         alert("산업재해 은폐금지 서약서 확인이 완료되었습니다.");
 		         window.close();  
 		         parent.$.searchList();	//showmodal 조치
 		      }
 		      else
	          {
 		         dlgErrorMsg( resultObj );
	          }
 		   }
 		}
 		catch(errorObject) {
 	        showErrorDlg("doResult()", errorObject);
 		}
 	} 	
 
 </script>
 
<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<form id="form1" name="form1" method="post" modular:type="search">
<input type="hidden" name="fevent" id="fevent" value="">
<input type="hidden" name="industry_yn" id="industry_yn" value="<%=params.get("p_industry_yn") %>" />
<input type="hidden" name="bid_no" id="bid_no" value="<%=params.get("p_bid_no") %>" />
<input type="hidden" name="bid_deg" id="bid_deg" value="<%=params.get("p_bid_deg") %>" />
<input type="hidden" name="vendor_cd" id="vendor_cd" value="<%=params.get("p_vendor_cd") %>" /> 
<input type="hidden" name="dept_nm" id="dept_nm" value="<%=params.get("p_dept_nm") %>" />
<input type="hidden" name="industry_yn_dy" id="industry_yn_dy" value="<%=params.get("p_industry_yn_dy") %>" />
<input type="hidden" name="vendor_name" id="vendor_name" value="<%=params.get("p_vendor_name") %>" />
<input type="hidden" name="gubun" id="gubun" value="<%=params.get("p_gubun") %>" />
 
<div style="width: 100%; text-align: center; margin-top: 10px; margin-bottom: 15px;" >
	<span id="title1" style="font-size: 25px; font-weight: bold;"><u>산업재해 은폐금지 서약서</u></span>
</div>

<table cellspacing="0" cellpadding="0" border="0" bordercolordark="#FFFFF" bordercolorlight="#d2d2d2" class="input_table" style="width: 450px;">
<!-- <col width="*"> -->
	<div id="text1" style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:50%"  >
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<br></br>
		</div>					
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: center; padding-bottom: 8px; line-height:130%"  >
		<br>산업재해 발생시 안전 관련 법규 및 규정에 따라 즉각 귀사&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</br>				
		<br>안전보건총괄책임자에게 보고할 것이며, 사고를 은폐할 경우 향후</br>					
		<br>입찰제한, 등록취소 등 귀사의 제재조치에 따를 것을 서약합니다.</br>					
		</div>			
		<div style="width: 100%; vertical-align: middle; float: left; text-align: left; padding-bottom: 8px; line-height:130%"  >
		<!-- <br>이상과 같이 서약하며 만일 이 서약을 위반하여 귀사의 유형 또는 무형의 재산에 손해를 끼쳤을 경우나 또는 권리를 침해하혔을 경우에는 민.형사상의 모든 책임을 질 것이며 귀사의 어떠한 조치라도 이의를 제기하지 않겠기에 서약을 제출합니다.</br> -->
		</div>		
		<div style="margin-left:15px; width: 93%; vertical-align: middle; float: left; text-align: center; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br></br>
		<br></br>
		<br><%=IndustryPop.get("moral_yn_dy")%></br>
		<br></br>
		<br></br>
		</div>
		<div style="margin-left:11px; width: 93%; vertical-align: middle; float: left; text-align: right; padding-bottom: 8px; line-height:130%; font-weight: bold;"  >
		<br></br>
		<br>(서약인) 소 재 지 : <%=IndustryPop.get("address") %></br>
		<br>회 사 명 : <%=IndustryPop.get("vendor_name") %></br>	
		<br>대 표 이 사 : <%=IndustryPop.get("rep_name") %></br>
		</div>			
		<div style="width: 100%; vertical-align: middle; float: left; text-align: center; padding-bottom: 8px; line-height:100%; font-weight: bold;"  >
		<br></br>
		<br></br>
		<br>SGC이앤씨(주) 귀중</br>
		</div>
	</div>
	</table> 
	
	<div style="width: 480px; text-align: center; margin-top: 20px;">
		<span id="save" name="save" class="btnSearch center"><a href="javascript:void(0);" id="btn_save">확인</a></span>		
		<span id="print" name="print" class="btnSearch center"><a href="javascript:void(0);" id="btn_print">인쇄</a></span>
		<span id="close" name="close" class="btnSearch center"><a href="javascript:void(0);" id="btn_close">닫기</a></span>	
	</div>	
</form>